%global namedreltag _r22
%global namedversion %{version}%{?namedreltag}
%global oname json
Name:          android-json-org-java
Version:       6.0.1
Release:       %mkrel 0.5.r22.4
Group:         Development/Java
Summary:       Androids rewrite of the evil licensed Json.org
License:       ASL 2.0
URL:           https://android.googlesource.com/platform/libcore/+/master/json
# git clone https://android.googlesource.com/platform/libcore/ android-json-org-java
# (cd android-json-org-java/json/ && git archive --format=tar --prefix=android-json-org-java-6.0.1_r22/ android-6.0.1_r22 | xz > ../../android-json-org-java-6.0.1_r22.tar.xz)
Source0:       %{name}-%{namedversion}.tar.xz
Source1:       %{name}-template.pom
# android-json-org-java package don't include the license file
Source2:       https://www.apache.org/licenses/LICENSE-2.0.txt
Patch0:        %{name}-20130122-ignore_failing_junit_test.patch
BuildRequires: geronimo-parent-poms
BuildRequires: maven-local
BuildArch:     noarch

%description
Json.org is a popular java library to parse and
create json string from the author of the json
standard Douglas Crockford. His implementation
however is not free software.
Therefor the Android team did a clean-room
re-implementation of a json library to
be used in-place of the original one.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p0

sed -i '/java.nio.channels.Selector.open/d' \
 src/test/java/org/json/JSONObjectTest.java

cp -p %{SOURCE1} pom.xml
sed -i "s|<version>@version@|<version>%{namedversion}|" pom.xml
cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE-2.0.txt

# empty file
rm -rf MODULE_LICENSE_BSD_LIKE

%mvn_file :%{oname} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt



%changelog
* Tue May 21 2024 ns80 <ns80> 6.0.1-0.5.r22.4.mga10
+ Revision: 2065493
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 6.0.1-0.5.r22.3.mga9
+ Revision: 1827913
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 6.0.1-0.5.r22.2.mga8
+ Revision: 1521736
- Mageia 8 Mass Rebuild

* Mon Dec 31 2018 daviddavid <daviddavid> 6.0.1-0.5.r22.1.mga7
+ Revision: 1347366
- update to 6.0.1_r22 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 6.0.0-0.3.r1.4.mga7
+ Revision: 1259575
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 6.0.0-0.3.r1.3.mga6
+ Revision: 982390
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 6.0.0-0.3.r1.2.mga6
+ Revision: 975465
- First rebuild of the java stack
- sync package android-json-org-java with fedora

